Subject: Re: calloc() more then 140MB under cygwin b19.1?
From: [email-masked] (Stipe Tolj)

9 Sep 1998 16:25:16 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

> I finally was forced to test cygwin b19.1, because my prog runs for hours
> under Interix (formerly OpenNT), whereas it's extremely fast under Linux,
> using about 300 out of 512MB RAM.
>
> Under b19.1, I get NULL from calloc() after only about 140MB.
> Isn't HEAP_CHUNK_SIZE eliminated? At least I got no such messages...
>
> BTW, while I'm typing this, I'm also testing UWIN 1.51 with egcs.
> It's not yet finished and took already seven times the CPU of Linux!
> Could it be a general NT4.0SP3 alloc/free performance problem?

So, if your are working on that big memory allocs I would consider to use
Linux anyway.

But try at least b19.2 patch from Sergey at http://www.lexu.ru/sos.

Regards, Stipe.

--
Stipe Tolj <[email-masked]>
Cygwin32 Porting Project
Department of Economical Computer Science
University of Cologne, Germany
http://www-public.rz.uni-duesseldorf.de/~tolj

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".